// (C) 2005 Max Howell (max.howell@methylblue.com)
// See COPYING file for licensing information

#ifndef MXCL_LIBRARY_H
#define MXCL_LIBRARY_H


namespace mxcl
{
   /// Allocate on stack, wait cursor will be shown during existance
   struct WaitCursor
   {
      WaitCursor();
     ~WaitCursor();
   };
}


/// almost always negates the need to #include <klocale.h> in implementations
#include <ntqstring.h>
TQString i18n( const char *text );


/// very useful for TQStringLists
#define foreach( x ) \
   for( TQStringList::ConstIterator it = x.constBegin(), end = x.constEnd(); it != end; ++it )

#endif
